🚀 go-pugleaf

RetroBBS NetNews Server

Inspired by RockSolid Light RIP Retro Guy

Article View: gnu.emacs.vm.bug
Article #9509

SysVR4 spool mail format

#9509
From: Kyle Jones
Date: Wed, 17 Jul 1991 14:20
19 lines
1476 bytes
The Content-Type header is described in RFC 1049; I'm not sure
where Content-Length originated.  The SVR4 usage of Content-Type
doesn't look like anything in RFC 1049.

RFC 1154 updates RFC 1049, and describes a much more useful
encapsulation format.  I was able to read this RFC back in '90 a
bit before it was published and I was quite pleased with it.
Unfortunately it looks like 1154 is being ignored.

As far as I can tell both RFC 1049 and 1154 were meant to specify
ways of encapsulating different types of messages within an existing
RFC 822 message, _not_ to specify a folder format.  I hope SVR4
doesn't surprise us with any more unbridled bursts of creativity.

If SVR4 /bin/mail no longer quotes lines beginning with "From ",
then I'll have to make VM a bit more clever about recognizing
message separators.  Irritating, but becoming increasingly
necessary in the face of things like Deliver script that don't do
the quoting either.
Technical Details
Message-ID: <9107171420.AA00915@wendy-fate.UU.NET>
Path: arc1-ca.pugleaf.net!gmdzi!unido!mcsun!uunet!wendy-fate.uu.net!bug-vm
References: <9107171343.AA10309@bach.rtp.dg.com>

Show Full Headers
Complete Article Headers
X-Google-Language: ENGLISH,ASCII-7-bit
X-Google-Thread: f6829,8d4274fb0c6ece55
X-Google-Attributes: gidf6829,public
X-Google-ArrivalTime: 1991-07-17 15:10:10 PST
Path: arc1-ca.pugleaf.net!gmdzi!unido!mcsun!uunet!wendy-fate.uu.net!bug-vm
From: kyle@wendy-fate.uu.net (Kyle Jones)
Newsgroups: gnu.emacs.vm.bug
Subject: SysVR4 spool mail format
Message-ID: <9107171420.AA00915@wendy-fate.UU.NET>
Date: 17 Jul 91 14:20:45 GMT
References: <9107171343.AA10309@bach.rtp.dg.com>
Sender: bug-vm-request@uunet.uu.net
Lines: 19